


WRJPGCOM(1)                                           WRJPGCOM(1)


[1mNAME[0m
       wrjpgcom - insert text comments into a JPEG file

[1mSYNOPSIS[0m
       [1mwrjpgcom[0m  [ [1m-replace[0m ] [ [1m-comment[0m [4mtext[0m ] [ [1m-cfile[0m [4mname[0m ] [
       [4mfilename[0m ]


[1mDESCRIPTION[0m
       [1mwrjpgcom[0m reads the named JPEG/JFIF file, or  the  standard
       input  if  no file is named, and generates a new JPEG/JFIF
       file on standard output.  A comment block is added to  the
       file.

       The  JPEG  standard allows "comment" (COM) blocks to occur
       within a JPEG file.  Although the standard  doesn't  actu
       ally  define what COM blocks are for, they are widely used
       to hold user-supplied text strings.   This  lets  you  add
       annotations,  titles, index terms, etc to your JPEG files,
       and later retrieve them as text.  COM blocks do not inter
       fere  with the image stored in the JPEG file.  The maximum
       size of a COM block is 64K, but you can have  as  many  of
       them as you like in one JPEG file.

       [1mwrjpgcom[0m adds a COM block, containing text you provide, to
       a JPEG file.  Ordinarily, the COM block is added after any
       existing COM blocks; but you can delete the old COM blocks
       if you wish.

[1mOPTIONS[0m
       Switch names may be abbreviated, and are not  case  sensi
       tive.

       [1m-replace[0m
              Delete any existing COM blocks from the file.

       [1m-comment[0m [4mtext[0m
              Supply text for new COM block on command line.

       [1m-cfile[0m [4mname[0m
              Read text for new COM block from named file.

       If  you have only one line of comment text to add, you can
       provide it on the command line with [1m-comment[0m.  The comment
       text  must be surrounded with quotes so that it is treated
       as a single argument.  Longer comments can be read from  a
       text file.

       If  you  give  neither  [1m-comment[0m nor [1m-cfile[0m, then [1mwrjpgcom[0m
       will read the comment text from standard input.  (In  this
       case  an  input  image file name MUST be supplied, so that
       the source JPEG file comes from somewhere else.)  You  can
       enter  multiple  lines, up to 64KB worth.  Type an end-of-
       file  indicator  (usually  control-D)  to  terminate   the



                           15 June 1995                         1





WRJPGCOM(1)                                           WRJPGCOM(1)


       comment text entry.

       [1mwrjpgcom[0m  will not add a COM block if the provided comment
       string is empty.  Therefore [1m-replace[0m [1m-comment[0m  [1m""[0m  can  be
       used to delete all COM blocks from a file.

[1mEXAMPLES[0m
       Add a short comment to in.jpg, producing out.jpg:

              [1mwrjpgcom[0m [1m-c[0m [4m"View[0m [4mof[0m [4mmy[0m [4mback[0m [4myard"[0m [4min.jpg[0m [1m>[0m [4mout.jpg[0m

       Attach a long comment previously stored in comment.txt:

              [1mwrjpgcom[0m [4min.jpg[0m [1m<[0m [4mcomment.txt[0m [1m>[0m [4mout.jpg[0m

       or equivalently

              [1mwrjpgcom[0m [1m-cfile[0m [4mcomment.txt[0m [1m<[0m [4min.jpg[0m [1m>[0m [4mout.jpg[0m

[1mSEE[0m [1mALSO[0m
       [1mcjpeg[0m(1), [1mdjpeg[0m(1), [1mjpegtran[0m(1), [1mrdjpgcom[0m(1)

[1mAUTHOR[0m
       Independent JPEG Group

































                           15 June 1995                         2


